function OnSceneEnter()
print(self:GetName(), "Scene Enetered")
 --rozpoczecie dialogu przy pierwszym wejsciu
	if s.s03_0206_arsenal_visit==0 then
		Sleep(500)
		Talk("com_s03_0206_01_hero")
	elseif s.dlg_s03_07==1 and s.com_s03_0207_02_hero==0 then
		Talk("com_s03_0207_02_hero")
	end

end